Use this API to retrieve and update notification settings globally for your account, or for an individual group or project, which overrides the global setting.

Retrieve notification settings for a group

GET /api/v4/groups/{id}/notification_settings

Retrieves the notification level for a specified group.

Parameters

NameTypeDescription
id
Path, required
StringThe group ID

Responses

CodeDescriptionSchema
200OKAPIEntitiesNotificationSetting
400Bad Request—
401Unauthorized—
404Not Found—

Update notification settings for a group

PUT /api/v4/groups/{id}/notification_settings

Updates the notification settings for a specified group.

Parameters

NameTypeDescription
id
Path, required
StringThe group ID

Request body (application/json)

PropertyTypeDescription
change_reviewer_merge_requestBooleanEnable/disable this notification
close_issueBooleanEnable/disable this notification
close_merge_requestBooleanEnable/disable this notification
failed_pipelineBooleanEnable/disable this notification
fixed_pipelineBooleanEnable/disable this notification
issue_dueBooleanEnable/disable this notification
levelStringThe group notification level
merge_merge_requestBooleanEnable/disable this notification
merge_when_pipeline_succeedsBooleanEnable/disable this notification
moved_projectBooleanEnable/disable this notification
new_issueBooleanEnable/disable this notification
new_merge_requestBooleanEnable/disable this notification
new_noteBooleanEnable/disable this notification
new_releaseBooleanEnable/disable this notification
push_to_merge_requestBooleanEnable/disable this notification
reassign_issueBooleanEnable/disable this notification
reassign_merge_requestBooleanEnable/disable this notification
reopen_issueBooleanEnable/disable this notification
reopen_merge_requestBooleanEnable/disable this notification
success_pipelineBooleanEnable/disable this notification

Responses

CodeDescriptionSchema
200OKAPIEntitiesNotificationSetting
400Bad request—
401Unauthorized—
404Not Found—

Retrieve global notification settings

GET /api/v4/notification_settings

Retrieves the global notification level and email address.

Responses

CodeDescriptionSchema
200OKAPIEntitiesGlobalNotificationSetting
401Unauthorized—

Update global notification settings

PUT /api/v4/notification_settings

Updates notification settings and email address.

Request body (application/json)

PropertyTypeDescription
change_reviewer_merge_requestBooleanEnable/disable this notification
close_issueBooleanEnable/disable this notification
close_merge_requestBooleanEnable/disable this notification
failed_pipelineBooleanEnable/disable this notification
fixed_pipelineBooleanEnable/disable this notification
issue_dueBooleanEnable/disable this notification
levelStringThe global notification level
merge_merge_requestBooleanEnable/disable this notification
merge_when_pipeline_succeedsBooleanEnable/disable this notification
moved_projectBooleanEnable/disable this notification
new_issueBooleanEnable/disable this notification
new_merge_requestBooleanEnable/disable this notification
new_noteBooleanEnable/disable this notification
new_releaseBooleanEnable/disable this notification
notification_emailStringThe email address to send notifications
push_to_merge_requestBooleanEnable/disable this notification
reassign_issueBooleanEnable/disable this notification
reassign_merge_requestBooleanEnable/disable this notification
reopen_issueBooleanEnable/disable this notification
reopen_merge_requestBooleanEnable/disable this notification
success_pipelineBooleanEnable/disable this notification

Responses

CodeDescriptionSchema
200OKAPIEntitiesGlobalNotificationSetting
400Bad request—
401Unauthorized—

Retrieve notification settings for a project

GET /api/v4/projects/{id}/notification_settings

Retrieves the notification level for a specified project.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID

Responses

CodeDescriptionSchema
200OKAPIEntitiesNotificationSetting
400Bad Request—
401Unauthorized—
404Not Found—

Update notification settings for a project

PUT /api/v4/projects/{id}/notification_settings

Updates the notification settings for a specified project.

Parameters

NameTypeDescription
id
Path, required
StringThe project ID

Request body (application/json)

PropertyTypeDescription
change_reviewer_merge_requestBooleanEnable/disable this notification
close_issueBooleanEnable/disable this notification
close_merge_requestBooleanEnable/disable this notification
failed_pipelineBooleanEnable/disable this notification
fixed_pipelineBooleanEnable/disable this notification
issue_dueBooleanEnable/disable this notification
levelStringThe project notification level
merge_merge_requestBooleanEnable/disable this notification
merge_when_pipeline_succeedsBooleanEnable/disable this notification
moved_projectBooleanEnable/disable this notification
new_issueBooleanEnable/disable this notification
new_merge_requestBooleanEnable/disable this notification
new_noteBooleanEnable/disable this notification
new_releaseBooleanEnable/disable this notification
push_to_merge_requestBooleanEnable/disable this notification
reassign_issueBooleanEnable/disable this notification
reassign_merge_requestBooleanEnable/disable this notification
reopen_issueBooleanEnable/disable this notification
reopen_merge_requestBooleanEnable/disable this notification
success_pipelineBooleanEnable/disable this notification

Responses

CodeDescriptionSchema
200OKAPIEntitiesNotificationSetting
400Bad request—
401Unauthorized—
404Not Found—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesGlobalNotificationSetting

PropertyTypeDescription
eventsString—
levelString—
notification_emailString—

APIEntitiesNotificationSetting

PropertyTypeDescription
eventsString—
levelString—